You can update existing dynamic content. Only the fields you provide are changed.
You can also send this request with PATCH; it behaves the same as PUT.
Requires the read_write_dynamic_content OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
The name of the dynamic content. Must be unique in the workspace. Renaming doesn't change the key.
The locale whose variation is used when there's no variation for the requested locale. The dynamic content must have a variation for this locale that applies to all brands.
The full set of variations. Existing variations that aren't included are deleted.
- The production API serverhttps://api.intercom.io/dynamic_contents/{id}
- The european API serverhttps://api.eu.intercom.io/dynamic_contents/{id}
- The australian API serverhttps://api.au.intercom.io/dynamic_contents/{id}
curl -i -X PUT \
https://api.intercom.io/dynamic_contents/123 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"variations": [
{
"locale": "en",
"text_content": "+1-555-0199"
},
{
"locale": "fr",
"text_content": "+33 1 23 45 67 89"
}
]
}'Dynamic content updated
String representing the object's type. Always has the value dynamic_content.
The name of the dynamic content. Returned HTML-escaped, for example & as &.
The identifier that articles use to reference the dynamic content. Derived from the name when the dynamic content is created, and never changes.
Whether the dynamic content is a short inline value (inline) or one or more blocks of content (block).
The locale whose variation is used when there's no variation for the requested locale.
The variations of the dynamic content.
The time the dynamic content was created as a Unix timestamp.
{ "type": "dynamic_content", "id": "123", "name": "Support phone number", "key": "support-phone-number", "content_type": "inline", "default_locale": "en", "variations": [ { … }, { … } ], "created_at": 1663597223, "updated_at": 1663597300 }